Snow Leopard on new MBA?

Discussion in 'MacBook Air' started by timnosenzo, Jul 21, 2011.

  1. macrumors 6502a

    timnosenzo

    Joined:
    Jun 21, 2004
    Location:
    ct, us
    #1
    I think I'm going to pick up a new 13" MBA, but I don't think I'm ready to move up to Lion yet due to some software I use. Do you think I'll have any issue installing Snow Leopard on the new Air? I have the install disc and whatnot.

    Thanks!
     
  2. macrumors 68000

    tom vilsack

    Joined:
    Nov 20, 2010
    Location:
    ladner cdn
  3. macrumors member

    Joined:
    Jul 11, 2011
    Location:
    NYC
    #3
    I would assume that Snow Leopard wouldn't have the drivers for the new proccesor, etc. I'm taking a guess though
     
  4. macrumors 604

    Joined:
    Mar 26, 2008
    Location:
    West Suburban Boston Ma
    #4
    Snow Leopard will not have the drivers needed for Thunderbolt and the GPU that's on the new MBA.

    It's almost always true that you cannot install a release prior to the one the hardware shipped with.
     
  5. macrumors 601

    Joined:
    Mar 8, 2005
    Location:
    Austin, TX
    #5
    That in itself kills the new MBA for me. Huge mistake, Apple! I would much rather run a stable OS that I know until the new one has some time on it.
     
  6. macrumors G4

    Joined:
    Oct 23, 2010
    #6
    It's possible that if you have Parallels or Fusion you could run Snow Leopard in a virtual machine. Note that Apple wants people to move forward, so they have never supported earlier operating systems than those that their Macs ship with. If you are concerned about compatibility, etc. I'd just wait a few weeks and get the Air later. In the meantime, initial bugs, etc. with Lion will be fixed, and problems with the Air may be identified and fixed. Remember, there are always bugs with any new hardware release, even if the OS is the same. The Rev D needed a few firmware updates to take care of crashes when waking from sleep, for instance.
     
  7. macrumors 6502

    Joined:
    Jul 2, 2011
    #7
    Seems kinda odd thing to not make the MBA backward OS compatible. Have we confirmed this for sure from something from Apple? Just seems strange. I can see Windows doing it since they don't control the hardware, but Apple is in charge of HW and SW in their ecosystem.
     
  8. macrumors G4

    Joined:
    Oct 23, 2010
    #8
    You have it reversed. Microsoft is backward compatible because they have to try to make Windows run on nearly everything. Apple controls the hardware and the software, so they can tightly integrate the OS to the hardware. They designed the new Air with Lion in mind, not Snow Leopard, so didn't bother writing Snow Leopard drivers for their new MacBook Air. They don't want people using Snow Leopard for 10 years a la Windows XP.
     
  9. macrumors 6502

    Joined:
    Dec 1, 2008
    #9
    This is no surprise, it's always been like this. I for one am really happy that they focus on the latest release. From this point SL will get mostly security updates.
     
  10. macrumors 601

    Joined:
    Mar 8, 2005
    Location:
    Austin, TX
    #10
    While I agree completely that this is no surprise, I still question the wisdom of such a move. I may consider the new MBA after a few Lion releases go by (by which time it will no longer be new), but certainly not at this point.
     
  11. macrumors regular

    Joined:
    Mar 14, 2009
    #11
    So wait and don't buy one now. It's the same thing with new cars, some will not buy the first years' models while others want the newest first. :)
     
  12. thread starter macrumors 6502a

    timnosenzo

    Joined:
    Jun 21, 2004
    Location:
    ct, us
    #12
    Thanks for the confirmation, folks! Kind of a bummer, but I can't say I'm terribly surprised. Looks like I'll be sticking with my 13" MBP for a while longer. :D
     
  13. macrumors 6502

    barebackbadger8

    Joined:
    Mar 23, 2009
    Location:
    Wolverhampton, UK
    #13
    but dont the new MBP's have snow leopard on, but also have thunderbolt and icore processors? so surely the drivers aren't an issue!
     
  14. macrumors 604

    Joined:
    Mar 26, 2008
    Location:
    West Suburban Boston Ma
    #14
    The OP is talking about MBA, not MBP.

    If the new MBA does need special drivers to handle TB/GPU, then how would the older versions of Snow Leopard even work on the new MBAs?
     
  15. thread starter macrumors 6502a

    timnosenzo

    Joined:
    Jun 21, 2004
    Location:
    ct, us
    #15
    I think what he's saying is that Snow Leopard has been built to run on systems with TB ports and i5/i7 processors, so those drivers do exist in Snow Leopard. It was kind of my thought too, initially... hence, me getting my hopes up. :D
     
  16. macrumors 68030

    WardC

    Joined:
    Oct 17, 2007
    Location:
    Fort Worth, TX
    #16
    The drivers have to support the chipset of the new MacBook Air, which is an entirely new chipset. You will notice that the new MacBook Airs ship with a different build of Lion than the one Apple is selling on the App Store.

    The MBA Lion build is 11A2063, not 11A511.

    The new build contains the specific drivers for the new MBA chipset.
     
  17. macrumors 6502

    barebackbadger8

    Joined:
    Mar 23, 2009
    Location:
    Wolverhampton, UK
    #17
    me i would buy it, try it, if it doesnt work re-install lion!
     

Share This Page